function [ bpm ] = bpm( qrs_pos,fs )
%bpm is a function that computes the mean bpm of an ecg, taking care of
%unusuable part of ecgs
%   Input : qrs_pos : positions of R peaks
%           ecg : ecg
%   Output : bpm

% taking only values that approach median value of inter beat interval
dqrs_pos = diff(qrs_pos) ;
m_inter =  median(dqrs_pos);

qrs_select = logical(double(dqrs_pos<2*m_inter) .* double(dqrs_pos>0.4*m_inter));
bpm = 60/mean(dqrs_pos(qrs_select)/fs);

end

