function [ F1 ] = bsqi_matlab(ecg,refqrs,fs,thres)
%BSQI_MATLAB Calculate bSQI of one input (Pan-Tompkins) compared with wqrs
%   Detailed explanation goes here
mat2wfdb(ecg,'./ECG',fs); % fs is the sampling frequency
wqrs('./ECG',[],[],100,[],[],[],[]), % you can change that "100" to get a good QRS detection
testqrs=rdann('./ECG','wqrs'); % Problem --> Q is detected
% testqrs = testqrs-refqrs(1); % to compensate Q detection instead of R
% refqrs = refqrs-refqrs(1);
% == managing inputs
[a b] = size(testqrs);
if(b>a);testqrs = testqrs';end;

[a b] = size(refqrs);
if(b>a);refqrs = refqrs';end;

if nargin<3; thres=0.1; end;
if nargin<4; fs=250; end;
thres = thres * fs;

    NB_REF  = length(refqrs);
    NB_TEST = length(testqrs(1:end,1));
% == core function
[IndMatch,Dist] = dsearchn(refqrs,testqrs(1:end,1));         % closest ref for each point in test qrs
IndMatchInWindow = IndMatch(Dist<thres);         % keep only the ones within a certain window
NB_MATCH_UNIQUE = length(unique(IndMatchInWindow)); % how many unique matching
TP = NB_MATCH_UNIQUE;                               % number of identified ref QRS
FN = NB_REF-TP;                                     % number of missed ref QRS
FP = NB_TEST-TP;                                    % how many extra detection?
Se  = TP/(TP+FN);                                   % match rate with missed
PPV = TP/(FP+TP);                                   % match rate with over-detections
F1 = 2*Se*PPV/(Se+PPV);                             % accuracy measure

end