function [ class,cness] = clst_elt_CORR( testing, training,ns )
%CLOSETS_ELEMENT let us find the closest element of each Test template in
%the training template
% Inputs : 
% - testing : testing set (one template)
% - training : training set (array)
% - ns : number of elements in esach category
% Outputs : 
% - class : class of the closest ECG template found in the training set
% - cness :  closeness to the classes, matrix 1 by 4 giving the closeness
% to each class using Pearson's Correlation. 


cness = zeros(1,4);
for k = 1:4 
% cross-correlation comparison searching for the closest template
for j = 1:ns
   tmp = cross_correlation( testing, training(:,ns*(k-1)+j));
   % erasing the last best coefficient if this one is better
   if tmp>cness(k) && tmp ~= 1
       cness(k) = tmp;
   end
end
% selecting the best macth
[~, class]=max(cness);

end

end

