function [ class,r ] = clst_elt_class_spc( testing, training,ns,nclass )
%clst_elt_class_spc: let us find the closest element of each Test template in
%the training template, without having all the classes, using spectral distance method
% Inputs : 
% - testing : testing set (one template)
% - training : training set (array)
% - ns : number of elements in each category
% - nclass : number of class to consider (array)
% Outputs : 
% - class : class of the closest ECG template found in the training set
% -r : closeness indicator

r = inf*ones(1,length(nclass));
for k = nclass-min(nclass)+1 
% cross-correlation comparison searching for the closest template
for j = 1:ns
   tmp = sum(sum(abs(testing - training(:,:,ns*(k-1)+j)))); 
   % erasing the last best coefficient if this one is better
   if tmp<r(k) && tmp ~= 0
       r(k) = tmp;
   end
   if tmp == 0
       if sum(testing)==0 
          r = zeros(1,length(nclass));
          class = nclass(end); % last category
          return
       else
%            disp('similar template, weird :o')
        
       end
   end
end
% selecting the best macth
[~, class]=min(r);
class = nclass(class);
end

end


