function [ coef ] = karhuloev( ecg,qrs_pos )
    fs = 300 ; 
% matrix of QRS complexes 
    bpm2 = bpm( qrs_pos,fs ) *fs/60;
    cte = round(bpm2/6);
    mat = zeros(2*cte+1,length(qrs_pos)-2);
    for j=2:length(qrs_pos)-1 %not all qrs 
            if (qrs_pos(j)-cte) >0 && (qrs_pos(j)+cte) < length(ecg)+1
                mat(1:end,j) = (ecg(qrs_pos(j)-cte:qrs_pos(j)+cte));
            end
    end
% eigenvalues of the QRS complex matrix
    eigen = eig(cov(mat));
% number of eigen values composing the QRS complex
    n = round(length(qrs_pos)*11/64);
    coef = sum(eigen(1:n))/sum(eigen);


end