function [nvlf,nlf,nhf,lf,hf,lh,tp]=spechrv(RR,fsi,fs);
% fsi is the interpolation sampling freq in hz, ans rr is in samples
rr = RR./fs;
k(1)=1;
for i=2:length(rr)
    k(i)=k(i-1)+round(1000*rr(i-1));
end
pp = interp1(k,rr,1:1000/fsi:max(k),'spline');

clear rr;rr=pp;
%-----------------------------------------Power Sepctrum------------
[Pxx, f] = pwelch(rr,min([1024,length(rr)]),[],1024,fsi);
ulf=sum(Pxx(find(f>0.0 & f<0.003)));
vlf=sum(Pxx(find(f>0.003 & f<0.04)));
lf=sum(Pxx(find(f>=0.04 & f<0.15)));
hf=sum(Pxx(find(f>=0.15 & f<0.4)));
total=sum(Pxx(find(f>0.003))); % Total=LF+HF; Only if I limit it to 0.04 and 0.4, the result will be like Kubios
%tpower=sum(Pxx(find(f>0.003)));
% According to Task force: "LF and HF may also be measured in normalized
% units (n.u.) which represent the relative value
% of each power component in proportion to the total
% power MINUS THE VLF COMPONENT. The representation of
% LF and HF in n.u. emphasizes the controlled and
% balanced behaviour of the two branches of the autonomic
% nervous system.
nvlf=vlf./(total-vlf);
nlf=100*lf./(total-vlf);
nhf=100*hf./(total-vlf);
tp=var(rr); % Total power (TP) is the total variance in the signal and represents the sum of HF, LF, VLF, and ULF.
lh=lf./hf;
end