function [rf2,Pf,TF]=testqualityQ(fECG,fECGR,af)
% Inputs : fECG: ecg
% fECGR : R positions
% af : threshold
% Outputs : rf2 : correlation coef with updated template
% Pf : percentage of correlation coefficient above threshold
% TF : updated template

RR = diff(fECGR);
nq=length(fECGR);
fq=fECGR;

% Estimate an initial template
Lf=round(mean(RR));
zf=zeros(length(RR),Lf);
for i=1:length(RR)
%%% linear resampling 
    % zf are the beats
    zf(i,:)=resample(fECG(fq(i):fq(i)+RR(i)-1),Lf,RR(i));
end
Tf=mean(zf,1); % template
% Check the correlation with each beat
for i=1:length(RR)
    R=corrcoef(zf(i,:),Tf); % correlation coef between each RR and mean template
    rf(i)=R(1,2);
end

% Update the template
TF=mean(zf(rf>=af,:));
% Again, check the correlation with each beat
if length(TF)>1.2
for i=1:length(RR)
    R=corrcoef(zf(i,:),TF);
    rf2(i)=R(1,2);
end
else
    rf2=rf;
end
Pf=round(100*sum(rf>=af)/length(RR));

